#
# spec file for package python-intervals
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15allpythons}
Name:           python-intervals
Version:        0.9.2
Release:        2.3
Summary:        Python tools for handling intervals
License:        BSD-3-Clause
URL:            https://github.com/kvesteri/intervals
Source:         https://files.pythonhosted.org/packages/source/i/intervals/intervals-%{version}.tar.gz
BuildRequires:  %{python_module infinity >= 0.1.3}
BuildRequires:  %{python_module isort >= 4.2.2}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-infinity >= 0.1.3
BuildArch:      noarch
%python_subpackages

%description
Python tools for handling intervals (ranges of comparable objects).

%prep
%setup -q -n intervals-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc CHANGES.rst README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Thu Feb 22 2024 Dirk Müller <dmueller@suse.com>
- also use modern python stack on SLE15
* Sun May 22 2022 Ferdinand Thiessen <rpm@fthiessen.de>
- Update to 0.9.2
  * Make invalid value coercions throw ValueCoercionException
- Update to 0.9.1
  * Fixed discrete interval length
* Mon Nov 16 2020 Marketa Machova <mmachova@suse.com>
- update to 0.9.0
  * Fixed interval coercion (#42)
  * Dropped py27 and py34 support
* Wed May  6 2020 Tomáš Chvátal <tchvatal@suse.com>
- Do not restrict pytest5 as newer updates made it work
* Tue Dec  3 2019 Tomáš Chvátal <tchvatal@suse.com>
- Restrict pytest5 as the tests are not compatible with it
* Wed Aug 29 2018 tchvatal@suse.com
- Fix pytest call so it works on 42.3
* Wed May  9 2018 toddrme2178@gmail.com
- Update to version 0.8.1
  * Fixed interval coercion (#41)
* Wed Oct 18 2017 toddrme2178@gmail.com
- Implement single-spec version
- Update to version 0.8.0
  * See changelog at https://github.com/kvesteri/intervals/blob/0.8.0/CHANGES.rst
* Fri Sep 19 2014 toddrme2178@gmail.com
- Initial version
